Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.mail
Class MailService.Attachment

    java.lang.Object
      com.google.appengine.api.mail.MailService.Attachment

Enclosing interface:
  MailService

    public static class MailService.Attachment

extends java.lang.Object

Constructor Summary
`MailService.Attachment(java.lang.String fileName, byte[] data)` Attachments are an optional part of messages, but if present, all information about them must be provided.

Method Summary
`byte[]` | `getData()` Gets the content of this attachment.
`java.lang.String` | `getFileName()` Gets the file name of this attachment.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailService.Attachment

    public MailService.Attachment(java.lang.String fileName,
                                  byte[] data)

  Attachments are an optional part of messages, but if present, all information about them must be provided.

  Parameters:
    `fileName` - The attachment must have a filename associated with it. The extension on that filename must be present and white-listed, or there will be a failure at send time.
    `data` - An array with arbitrary byte content. The array must be be present, but may be of zero length.
  Throws:
    `java.lang.IllegalArgumentException` - if either fileName or data are missing.

Method Detail

### getFileName

    public java.lang.String getFileName()

  Gets the file name of this attachment.

  Returns:
    The file name of this attachment.

### getData

    public byte[] getData()

  Gets the content of this attachment.

  Returns:
    The raw data of this attachment.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD